Improve editing of spent time in time entries view
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

1.) It's a risk having the posibility to change to a bulk of spent time the issue. (= to assign a bulk of spent time to a new issue.) A

warning or grant settings would be nice.

2.) When editing only a single spent time, the fields should be filled. When 11 is the id of the issue, the pages

/issues/11/time_entries/new and /time_entries/bulk_edit?ids[]=11 should look more similar (e.g. order of fields). Inclusive the issue

suggestions when typing an issue name.

3.) When editing time spent the issue id and issue description is not shown. Only the amount of spent time, project and date is

shown.

Related issues:

Related to Redmine - Defect #13228: Irritating IDs when failed to update time... New

History

#1 - 2013-02-20 23:56 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

#2 - 2013-02-21 00:01 - Filou Centrinov

- File bulk_edit_time_entry.png added

- File save_time_entry.png added

4.) For me it seems to be better (more logical) to have activity selection first and the comment field beneath.

#3 - 2013-02-26 10:55 - Toshi MARUYAMA

- Description updated

Filou Centrinov wrote:

@Jean-Philippe Lang: Could you delete the phrase "May splitting this issue into "editing time spent" and "after confirmation of changes" ? Thank

you.

 Done.
